<?xml version="1.0"?>
<xsd:schema 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns="http://www.ginfes.com.br/tipos_v03.xsd" 
	xmlns:dsig="http://www.w3.org/2000/09/xmldsig#"
	targetNamespace="http://www.ginfes.com.br/tipos_v03.xsd"
	elementFormDefault="qualified" 
	attributeFormDefault="unqualified">
	
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema20020212_v03.xsd" />
	
	<xsd:simpleType name="tsNumeroNfse">
		<xsd:restriction base="xsd:nonNegativeInteger">
			<xsd:totalDigits value="15" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoVerificacao">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="9" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsStatusRps">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsStatusNfse">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNaturezaOperacao">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2|3|4|5|6" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsRegimeEspecialTributacao">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2|3|4|5|6" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsSimNao">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNumeroRps">
		<xsd:restriction base="xsd:nonNegativeInteger">
			<xsd:totalDigits value="15" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsSerieRps">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="5" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsTipoRps">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2|3" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsOutrasInformacoes">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="255" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsValor">
		<xsd:restriction base="xsd:decimal">
			<xsd:totalDigits value="15" />
			<xsd:fractionDigits value="2" fixed="true" />
			<xsd:minInclusive value="0" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsItemListaServico">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="5" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoCnae">
		<xsd:restriction base="xsd:int">
			<xsd:totalDigits value="7" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoTributacao">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="20" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsAliquota">
		<xsd:restriction base="xsd:decimal">
			<xsd:totalDigits value="5" />
			<xsd:fractionDigits value="4" />
			<xsd:minInclusive value="0" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsDiscriminacao">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="2000" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoMunicipioIbge">
		<xsd:restriction base="xsd:int">
			<xsd:totalDigits value="7" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsInscricaoMunicipal">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="15" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsRazaoSocial">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="115" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNomeFantasia">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="60" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCnpj">
		<xsd:restriction base="xsd:string">
			<xsd:length value="14" fixed="true" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsEndereco">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="125" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNumeroEndereco">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="10" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsComplementoEndereco">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="60" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsBairro">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="60" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsUf">
		<xsd:restriction base="xsd:string">
			<xsd:length value="2" fixed="true" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCep">
		<xsd:restriction base="xsd:int">
			<xsd:totalDigits value="8" fixed="true" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsEmail">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="80" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsTelefone">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="11" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCpf">
		<xsd:restriction base="xsd:string">
			<xsd:length value="11" fixed="true" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsIndicacaoCpfCnpj">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2|3" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoObra">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="15" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsArt">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="15" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNumeroLote">
		<xsd:restriction base="xsd:nonNegativeInteger">
			<xsd:totalDigits value="15" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsNumeroProtocolo">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="50" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsSituacaoLoteRps">
		<xsd:restriction base="xsd:byte">
			<xsd:pattern value="1|2|3|4" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsQuantidadeRps">
		<xsd:restriction base="xsd:int">
			<xsd:totalDigits value="4" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoMensagemAlerta">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="4" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsDescricaoMensagemAlerta">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="200" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsCodigoCancelamentoNfse">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="4" />
			<xsd:minLength value="1" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsIdTag">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="255" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="tsVersao">
		<xsd:restriction base="xsd:token">
			<xsd:pattern value="[0-9]{1,4}" />
			<xsd:whiteSpace value="collapse" />
		</xsd:restriction>
	</xsd:simpleType>
	<!-- tipos complexo -->
	<xsd:complexType name="tcCpfCnpj">
		<xsd:choice>
			<xsd:element name="Cpf" type="tsCpf" />
			<xsd:element name="Cnpj" type="tsCnpj" />
		</xsd:choice>
	</xsd:complexType>
	<xsd:complexType name="tcEndereco">
		<xsd:sequence>
			<xsd:element name="Endereco" type="tsEndereco" minOccurs="0" />
			<xsd:element name="Numero" type="tsNumeroEndereco" minOccurs="0" />
			<xsd:element name="Complemento" type="tsComplementoEndereco" minOccurs="0" />
			<xsd:element name="Bairro" type="tsBairro" minOccurs="0" />
			<xsd:element name="CodigoMunicipio" type="tsCodigoMunicipioIbge" minOccurs="0" />
			<xsd:element name="Uf" type="tsUf" minOccurs="0" />
			<xsd:element name="Cep" type="tsCep" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcContato">
		<xsd:sequence>
			<xsd:element name="Telefone" type="tsTelefone" minOccurs="0" />
			<xsd:element name="Email" type="tsEmail" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoOrgaoGerador">
		<xsd:sequence>
			<xsd:element name="CodigoMunicipio" type="tsCodigoMunicipioIbge" />
			<xsd:element name="Uf" type="tsUf" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoRps">
		<xsd:sequence>
			<xsd:element name="Numero" type="tsNumeroRps" />
			<xsd:element name="Serie" type="tsSerieRps" />
			<xsd:element name="Tipo" type="tsTipoRps" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoPrestador">
		<xsd:sequence>
			<xsd:element name="Cnpj" type="tsCnpj" />
			<xsd:element name="InscricaoMunicipal" type="tsInscricaoMunicipal" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoTomador">
		<xsd:sequence>
			<xsd:element name="CpfCnpj" type="tcCpfCnpj" minOccurs="0" />
			<xsd:element name="InscricaoMunicipal" type="tsInscricaoMunicipal" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcDadosTomador">
		<xsd:sequence>
			<xsd:element name="IdentificacaoTomador" type="tcIdentificacaoTomador" minOccurs="0" />
			<xsd:element name="RazaoSocial" type="tsRazaoSocial" minOccurs="0" />
			<xsd:element name="Endereco" type="tcEndereco" minOccurs="0" />
			<xsd:element name="Contato" type="tcContato" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoIntermediarioServico">
		<xsd:sequence>
			<xsd:element name="RazaoSocial" type="tsRazaoSocial" />
			<xsd:element name="CpfCnpj" type="tcCpfCnpj" />
			<xsd:element name="InscricaoMunicipal" type="tsInscricaoMunicipal" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcValores">
		<xsd:sequence>
			<xsd:element name="ValorServicos" type="tsValor" />
			<xsd:element name="ValorDeducoes" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorPis" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorCofins" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorInss" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorIr" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorCsll" type="tsValor" minOccurs="0" />
			<xsd:element name="IssRetido" type="tsSimNao" />
			<xsd:element name="ValorIss" type="tsValor" minOccurs="0" />
			<xsd:element name="ValorIssRetido" type="tsValor" minOccurs="0" />
			<xsd:element name="OutrasRetencoes" type="tsValor" minOccurs="0" />
			<xsd:element name="BaseCalculo" type="tsValor" minOccurs="0" />
			<xsd:element name="Aliquota" type="tsAliquota" minOccurs="0" />
			<xsd:element name="ValorLiquidoNfse" type="tsValor" minOccurs="0" />
			<xsd:element name="DescontoIncondicionado" type="tsValor" minOccurs="0" />
			<xsd:element name="DescontoCondicionado" type="tsValor" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcDadosServico">
		<xsd:sequence>
			<xsd:element name="Valores" type="tcValores" />
			<xsd:element name="ItemListaServico" type="tsItemListaServico" />
			<xsd:element name="CodigoCnae" type="tsCodigoCnae" minOccurs="0" />
			<xsd:element name="CodigoTributacaoMunicipio" type="tsCodigoTributacao" minOccurs="0" />
			<xsd:element name="Discriminacao" type="tsDiscriminacao" />
			<xsd:element name="CodigoMunicipio" type="tsCodigoMunicipioIbge" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcDadosConstrucaoCivil">
		<xsd:sequence>
			<xsd:element name="CodigoObra" type="tsCodigoObra" />
			<xsd:element name="Art" type="tsArt" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcDadosPrestador">
		<xsd:sequence>
			<xsd:element name="IdentificacaoPrestador" type="tcIdentificacaoPrestador" />
			<xsd:element name="RazaoSocial" type="tsRazaoSocial" />
			<xsd:element name="NomeFantasia" type="tsNomeFantasia" minOccurs="0" />
			<xsd:element name="Endereco" type="tcEndereco" />
			<xsd:element name="Contato" type="tcContato" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcInfRps">
		<xsd:sequence>
			<xsd:element name="IdentificacaoRps" type="tcIdentificacaoRps" />
			<xsd:element name="DataEmissao" type="xsd:dateTime" />
			<xsd:element name="NaturezaOperacao" type="tsNaturezaOperacao" />
			<xsd:element name="RegimeEspecialTributacao" type="tsRegimeEspecialTributacao" minOccurs="0" />
			<xsd:element name="OptanteSimplesNacional" type="tsSimNao" />
			<xsd:element name="IncentivadorCultural" type="tsSimNao" />
			<xsd:element name="Status" type="tsStatusRps" />
			<xsd:element name="RpsSubstituido" type="tcIdentificacaoRps" minOccurs="0" />
			<xsd:element name="Servico" type="tcDadosServico" />
			<xsd:element name="Prestador" type="tcIdentificacaoPrestador" />
			<xsd:element name="Tomador" type="tcDadosTomador" />
			<xsd:element name="IntermediarioServico" type="tcIdentificacaoIntermediarioServico" minOccurs="0" />
			<xsd:element name="ConstrucaoCivil" type="tcDadosConstrucaoCivil" minOccurs="0" />
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
	<xsd:complexType name="tcRps">
		<xsd:sequence>
			<xsd:element name="InfRps" type="tcInfRps" />
			<xsd:element ref="dsig:Signature" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcIdentificacaoNfse">
		<xsd:sequence>
			<xsd:element name="Numero" type="tsNumeroNfse" />
			<xsd:element name="Cnpj" type="tsCnpj" />
			<xsd:element name="InscricaoMunicipal" type="tsInscricaoMunicipal" minOccurs="0" />
			<xsd:element name="CodigoMunicipio" type="tsCodigoMunicipioIbge" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcInfNfse">
		<xsd:sequence>
			<xsd:element name="Numero" type="tsNumeroNfse" />
			<xsd:element name="CodigoVerificacao" type="tsCodigoVerificacao" />
			<xsd:element name="DataEmissao" type="xsd:dateTime" />
			<xsd:element name="IdentificacaoRps" type="tcIdentificacaoRps" minOccurs="0" />
			<xsd:element name="DataEmissaoRps" type="xsd:date" minOccurs="0" />
			<xsd:element name="NaturezaOperacao" type="tsNaturezaOperacao" />
			<xsd:element name="RegimeEspecialTributacao" type="tsRegimeEspecialTributacao" minOccurs="0" />
			<xsd:element name="OptanteSimplesNacional" type="tsSimNao" />
			<xsd:element name="IncentivadorCultural" type="tsSimNao" />
			<xsd:element name="Competencia" type="xsd:date" />
			<xsd:element name="NfseSubstituida" type="tsNumeroNfse" minOccurs="0" />
			<xsd:element name="OutrasInformacoes" type="tsOutrasInformacoes" minOccurs="0" />
			<xsd:element name="Servico" type="tcDadosServico" />
			<xsd:element name="ValorCredito" type="tsValor" minOccurs="0" />
			<xsd:element name="PrestadorServico" type="tcDadosPrestador" />
			<xsd:element name="TomadorServico" type="tcDadosTomador" />
			<xsd:element name="IntermediarioServico" type="tcIdentificacaoIntermediarioServico" minOccurs="0" />
			<xsd:element name="OrgaoGerador" type="tcIdentificacaoOrgaoGerador" />
			<xsd:element name="ConstrucaoCivil" type="tcDadosConstrucaoCivil" minOccurs="0" />
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
	<xsd:complexType name="tcNfse">
		<xsd:sequence>
			<xsd:element name="InfNfse" type="tcInfNfse" />
			<xsd:element ref="dsig:Signature" maxOccurs="2" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcInfPedidoCancelamento">
		<xsd:sequence>
			<xsd:element name="IdentificacaoNfse" type="tcIdentificacaoNfse" />
			<xsd:element name="CodigoCancelamento" type="tsCodigoCancelamentoNfse" />
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
	<xsd:complexType name="tcPedidoCancelamento">
		<xsd:sequence>
			<xsd:element name="InfPedidoCancelamento" type="tcInfPedidoCancelamento" />
			<xsd:element ref="dsig:Signature" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcInfConfirmacaoCancelamento">
		<xsd:sequence>
			<xsd:element name="Sucesso" type="xsd:boolean" />
			<xsd:element name="DataHora" type="xsd:dateTime" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcConfirmacaoCancelamento">
		<xsd:sequence>
			<xsd:element name="Pedido" type="tcPedidoCancelamento" />
			<xsd:element name="InfConfirmacaoCancelamento" type="tcInfConfirmacaoCancelamento" />
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
	<xsd:complexType name="tcCancelamentoNfse">
		<xsd:sequence>
			<xsd:element name="Confirmacao" type="tcConfirmacaoCancelamento" />
			<xsd:element ref="dsig:Signature" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcInfSubstituicaoNfse">
		<xsd:sequence>
			<xsd:element name="NfseSubstituidora" type="tsNumeroNfse" />
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
	<xsd:complexType name="tcSubstituicaoNfse">
		<xsd:sequence>
			<xsd:element name="SubstituicaoNfse" type="tcInfSubstituicaoNfse" />
			<xsd:element ref="dsig:Signature" maxOccurs="2" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcCompNfse">
		<xsd:sequence>
			<xsd:element name="Nfse" type="tcNfse" />
			<xsd:element name="NfseCancelamento" type="tcCancelamentoNfse" minOccurs="0" />
			<xsd:element name="NfseSubstituicao" type="tcSubstituicaoNfse" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="ListaMensagemRetorno">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="MensagemRetorno" type="tcMensagemRetorno" maxOccurs="unbounded" />
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:complexType name="tcMensagemRetorno">
		<xsd:sequence>
			<xsd:element name="Codigo" type="tsCodigoMensagemAlerta" />
			<xsd:element name="Mensagem" type="tsDescricaoMensagemAlerta" />
			<xsd:element name="Correcao" type="tsDescricaoMensagemAlerta" minOccurs="0" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcMensagemRetornoLote">
		<xsd:sequence>
			<xsd:element name="IdentificacaoRps" type="tcIdentificacaoRps" />
			<xsd:element name="Codigo" type="tsCodigoMensagemAlerta" />
			<xsd:element name="Mensagem" type="tsDescricaoMensagemAlerta" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="tcLoteRps">
		<xsd:sequence>
			<xsd:element name="NumeroLote" type="tsNumeroLote" />
			<xsd:element name="Cnpj" type="tsCnpj" />
			<xsd:element name="InscricaoMunicipal" type="tsInscricaoMunicipal" />
			<xsd:element name="QuantidadeRps" type="tsQuantidadeRps" />
			<xsd:element name="ListaRps">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:element name="Rps" type="tcRps" maxOccurs="unbounded" />
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
		<xsd:attribute name="Id" type="tsIdTag" />
	</xsd:complexType>
</xsd:schema>
